wp_logo_blue1.pngUnless you are using a plugin to hide your WordPress version number, you will notice the message in the admin area for upgrading your WordPress installation.
2.8.6 released late last week addresses a couple of issues that can be exploited by users of your site with posting privileges. If you have multiple registered users or plugins that allow others to post to your blog, then upgrading is highly recommended.